<?php
namespace app\api\controller;
use app\model\User as UserModel;
use app\model\UserRemark as UserRemarkModel;
use app\model\GroupRemark as GroupRemarkModel;
use support\Request;
use support\Response;
use taoser\facade\Validate;
use support\think\Db;
use hg\apidoc\annotation as Apidoc;
/**
 * 好友相关
 */
class FriendController extends BaseController{
    /**
     * 不需要鉴权的方法
     * @var array
     */
    public $noNeedAuth = ['*'];

    /**
     * 无需登录及鉴权的方法
     * @var array
     */
    public $noNeedLogin = [];
    /**
     * @Apidoc\Title("搜索用户")
     * @Apidoc\Method("GET")
     * @Apidoc\Param("nickname", type="string",require=true, desc="昵称")
     */
    function search(Request $request): Response
    {
        $keyword = Input('keyword');
        $searchtype = Input('searchtype');
        if($searchtype =='id'){
        }else{
            
        }
        return $this->success('ok');
    }
    
}